### Method

# Gio Settings set_uint64

since: 2.50

#### Declaration [src]

    gboolean
    g_settings_set_uint64 (
      GSettings* settings,
      const gchar* key,
      guint64 value
    )

#### Description [src]

Sets `key` in `settings` to `value`.

A convenience variant of `g_settings_set()` for 64-bit unsigned integers.

It is a programmer error to give a `key` that isn’t specified as having a `t` type in the schema for `settings` (see `GVariantType`).

Available since: 2.50

#### Parameters

`key`

  Type: `const gchar*`

  The key to set the value for.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `guint64`

  The value to set it to.

#### Return value

Type: `gboolean`

True if setting the key succeeded, false if the key was not writable.